diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index c8ccc27..4de10e2 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -1,6 +1,8 @@
#!/bin/sh
# Copyright 2023 Thomas de Grivel <thodg@kmx.io>
+set -e
+
# Config
SHPKG_DATE="$(date +%F_%T)"
@@ -512,12 +514,10 @@ shpkg_configure () {
verbose 1 mkdir -p "${SHPKG_REPO_FAKE_DIR}"
fi
if [ -x "${SHPKG_REPO_SRC_DIR}/configure" ]; then
- ( set -e
- verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
+ ( verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
verbose 1 ./configure --prefix "${SHPKG_PREFIX}" )
elif [ -x "${SHPKG_REPO_SRC_DIR}/configure.sh" ]; then
- ( set -e
- verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
+ ( verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
verbose 1 ./configure.sh --prefix "${SHPKG_PREFIX}"; )
elif [ -f "${SHPKG_REPO_SRC_DIR}/CMakeLists.txt" ]; then
verbose 1 cmake -S "${SHPKG_REPO_SRC_DIR}" -B "${SHPKG_OBJ_DIR}/${SHPKG_REPO_DIR}" -D CMAKE_INSTALL_PREFIX:PATH="${SHPKG_PREFIX}" -D BUILD_SHARED_LIBS=ON